From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/uv/
Date: Wed, 16 Oct 2024 04:54:43 +0000 (UTC) [thread overview]
Message-ID: <1729054464.e1cf452e343a7c4e296d29b8eb334c1bdf1886b0.mgorny@gentoo> (raw)
commit: e1cf452e343a7c4e296d29b8eb334c1bdf1886b0
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 16 04:06:24 2024 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Oct 16 04:54:24 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e1cf452e
dev-python/uv: Bump to 0.4.22
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/uv/Manifest | 2 +
dev-python/uv/uv-0.4.22.ebuild | 145 +++++++++++++++++++++++++++++++++++++++++
2 files changed, 147 insertions(+)
diff --git a/dev-python/uv/Manifest b/dev-python/uv/Manifest
index 3a73876bfc5d..c3b2c2acda87 100644
--- a/dev-python/uv/Manifest
+++ b/dev-python/uv/Manifest
@@ -7,3 +7,5 @@ DIST uv-0.4.20-crates.tar.xz 45729496 BLAKE2B 75dfc41917d92a8017cd04dd763ce52c36
DIST uv-0.4.20.gh.tar.gz 2682849 BLAKE2B 8b4c6255d62817c12bdf71c82e28bd18254808e0ff836f483093b9ec948d21c5935a52cccfde1452a0c907d5a46ca499215b59112a73ef71e1c62e4c70697826 SHA512 adab44ad4395c9462e14d4c8974a0971cb7d90f18eae52820456b44cac83bb4e780ea4a171815cba15ef284998aa7e8da239c79ea82c0c211832460ad8e37067
DIST uv-0.4.21-crates.tar.xz 45656040 BLAKE2B d3146c4320aee523c1853e0257d517744791a8a2d6e736b62613a9cb99727c0ceef04dcc9ac744129518a99fffe7793567dbee785e1b82af188c5c62896bca61 SHA512 7a831b6566e39fdf06c886302cb5ce6fd65c961e5d3dff2c71fbc3f2c83e0b903adc8f032c78c4caf6f805bbb8fa06fa331b8be531bf739977619c6eac2e3235
DIST uv-0.4.21.gh.tar.gz 2707247 BLAKE2B 6610c99a31c5f6d6683a9dcfc4e23bb9e422709c479739c1e485060eb4e269d693306f4e17465b2f04b9cdbd833540a2fdb949d561f695336195257aa144ea3f SHA512 52f1a0c295c8250f78739335be0e5817509f6fb9fa2c58980cf1ab4ef1abf3e113b4b48093867573bb9d2ae00cd868d281b4d71ad44eb8e672e345b3b322426e
+DIST uv-0.4.22-crates.tar.xz 45654940 BLAKE2B 37fdf3512ca67f774a300b269aaa1748441fc9540b6393ba75d40772bb951aae9a671e9690860a952f4505121f576f1470a79cc13ff01f2b47328f4cf1d48991 SHA512 90f318c124bf23c4c1c19261219dcb873cf5744dfaa1553dd7a536674157a269c18e7a63c118aedc635e08a2cdaaba9d9afb6e435e600237c3da1321636690e7
+DIST uv-0.4.22.gh.tar.gz 2721833 BLAKE2B 8687c67d39006636665b8dbd8b6c92003aa5e24311a6b42f39b176820ba4d06ee6fa578e6be919e43647df145e57d2f24f92ad0b2633ce83a7e46b6e5654fc73 SHA512 ac663e4c843a098c7f314ce2107b30e92b086357a6e25f82cfade91458b7cf63a4d2e66151393885038d5a60eaebd995366b53b78f2ee65b56b2abbfb8f6b6c7
diff --git a/dev-python/uv/uv-0.4.22.ebuild b/dev-python/uv/uv-0.4.22.ebuild
new file mode 100644
index 000000000000..e21074cbf13e
--- /dev/null
+++ b/dev-python/uv/uv-0.4.22.ebuild
@@ -0,0 +1,145 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CRATES="
+"
+
+declare -A GIT_CRATES=(
+ [async_zip]='https://github.com/charliermarsh/rs-async-zip;011b24604fa7bc223daaad7712c0694bac8f0a87;rs-async-zip-%commit%'
+ [pubgrub]='https://github.com/astral-sh/pubgrub;388685a8711092971930986644cfed152d1a1f6c;pubgrub-%commit%'
+ [reqwest-middleware]='https://github.com/astral-sh/reqwest-middleware;5e3eaf254b5bd481c75d2710eed055f95b756913;reqwest-middleware-%commit%/reqwest-middleware'
+ [reqwest-retry]='https://github.com/astral-sh/reqwest-middleware;5e3eaf254b5bd481c75d2710eed055f95b756913;reqwest-middleware-%commit%/reqwest-retry'
+ [rust-netrc]='https://github.com/gribouille/netrc;544f3890b621f0dc30fcefb4f804269c160ce2e9;netrc-%commit%'
+ [tl]='https://github.com/charliermarsh/tl;6e25b2ee2513d75385101a8ff9f591ef51f314ec;tl-%commit%'
+)
+
+inherit cargo check-reqs
+
+CRATE_PV=${PV}
+DESCRIPTION="A Python package installer and resolver, written in Rust"
+HOMEPAGE="
+ https://github.com/astral-sh/uv/
+ https://pypi.org/project/uv/
+"
+# pypi sdist misses scripts/, needed for tests
+SRC_URI="
+ https://github.com/astral-sh/uv/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ ${CARGO_CRATE_URIS}
+"
+if [[ ${PKGBUMPING} != ${PVR} ]]; then
+ SRC_URI+="
+ https://dev.gentoo.org/~mgorny/dist/uv-${CRATE_PV}-crates.tar.xz
+ "
+fi
+
+# most of the code
+LICENSE="|| ( Apache-2.0 MIT )"
+# crates/pep508-rs is || ( Apache-2.0 BSD-2 ) which is covered below
+# Dependent crate licenses
+LICENSE+="
+ 0BSD Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD ISC MIT
+ MPL-2.0 Unicode-DFS-2016
+"
+# ring crate
+LICENSE+=" openssl"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+IUSE="test"
+RESTRICT="test"
+PROPERTIES="test_network"
+
+DEPEND="
+ app-arch/bzip2:=
+ app-arch/xz-utils:=
+ app-arch/zstd:=
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ >=virtual/rust-1.80
+ test? (
+ dev-lang/python:3.8
+ dev-lang/python:3.9
+ dev-lang/python:3.10
+ dev-lang/python:3.11
+ dev-lang/python:3.12
+ )
+"
+
+QA_FLAGS_IGNORED="usr/bin/.*"
+
+check_space() {
+ local CHECKREQS_DISK_BUILD=3G
+ use debug && CHECKREQS_DISK_BUILD=9G
+ check-reqs_pkg_setup
+}
+
+pkg_pretend() {
+ check_space
+}
+
+pkg_setup() {
+ check_space
+}
+
+src_prepare() {
+ default
+
+ # remove patch.* that breaks GIT_CRATES
+ local reqmw=${GIT_CRATES[reqwest-middleware]}
+ reqmw=${reqmw#*;}
+ reqmw=${reqmw%;*}
+ sed -i -e "/^\[patch/,\$s@^\(reqwest-middleware = \).*@\1 { path = \"${WORKDIR}/reqwest-middleware-${reqmw}/reqwest-middleware\" }@" Cargo.toml || die
+
+ # enable system libraries where supported
+ export ZSTD_SYS_USE_PKG_CONFIG=1
+ # TODO: unbundle libz-ng-sys, tikv-jemalloc-sys?
+
+ # remove unbundled sources, just in case
+ find "${ECARGO_VENDOR}"/{bzip2,lzma,zstd}-sys-*/ -name '*.c' -delete || die
+
+ # bzip2-sys requires a pkg-config file
+ # https://github.com/alexcrichton/bzip2-rs/issues/104
+ mkdir "${T}/pkg-config" || die
+ export PKG_CONFIG_PATH=${T}/pkg-config${PKG_CONFIG_PATH+:${PKG_CONFIG_PATH}}
+ cat >> "${T}/pkg-config/bzip2.pc" <<-EOF || die
+ Name: bzip2
+ Version: 9999
+ Description:
+ Libs: -lbz2
+ EOF
+}
+
+src_configure() {
+ local myfeatures=(
+ git
+ pypi
+ python
+ )
+
+ cargo_src_configure --no-default-features
+}
+
+src_compile() {
+ cd crates/uv || die
+ cargo_src_compile
+}
+
+src_test() {
+ # work around https://github.com/astral-sh/uv/issues/4376
+ local -x PATH=${BROOT}/usr/lib/python-exec/python3.12:${PATH}
+ local -x COLUMNS=100
+ local -x PYTHONDONTWRITEBYTECODE=
+
+ cd crates/uv || die
+ cargo_src_test --no-fail-fast
+}
+
+src_install() {
+ cd crates/uv || die
+ cargo_src_install
+}
next reply other threads:[~2024-10-16 4:54 UTC|newest]
Thread overview: 143+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-10-16 4:54 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-08 17:02 [gentoo-commits] repo/gentoo:master commit in: dev-python/uv/ Michał Górny
2025-03-08 13:15 Arthur Zamarin
2025-03-08 13:07 Jakov Smolić
2025-03-08 12:58 Arthur Zamarin
2025-03-08 12:10 Sam James
2025-03-08 12:10 Sam James
2025-03-07 4:40 Michał Górny
2025-03-04 6:48 Michał Górny
2025-02-23 17:27 Michał Górny
2025-02-23 16:57 Sam James
2025-02-22 14:43 Arthur Zamarin
2025-02-22 9:48 Arthur Zamarin
2025-02-22 9:48 Arthur Zamarin
2025-02-20 5:06 Michał Górny
2025-02-15 7:01 Michał Górny
2025-02-06 12:44 Michał Górny
2025-02-04 4:28 Michał Górny
2025-02-01 13:19 Michał Górny
2025-02-01 13:19 Michał Górny
2025-02-01 13:12 Arthur Zamarin
2025-02-01 12:17 Arthur Zamarin
2025-02-01 11:35 Arthur Zamarin
2025-02-01 11:35 Arthur Zamarin
2025-02-01 11:35 Arthur Zamarin
2025-01-31 5:40 Michał Górny
2025-01-29 8:48 Michał Górny
2025-01-24 7:21 Michał Górny
2025-01-23 5:39 Michał Górny
2025-01-22 11:45 Arthur Zamarin
2025-01-22 7:21 Michał Górny
2025-01-22 6:27 Sam James
2025-01-22 6:27 Sam James
2025-01-16 5:11 Michał Górny
2025-01-12 3:23 Michał Górny
2025-01-11 6:52 Michał Górny
2025-01-09 5:26 Michał Górny
2025-01-09 5:26 Michał Górny
2025-01-07 5:27 Michał Górny
2025-01-03 5:47 Michał Górny
2024-12-28 7:53 Michał Górny
2024-12-27 5:24 Michał Górny
2024-12-20 8:23 Michał Górny
2024-12-16 14:19 Michał Górny
2024-12-16 14:19 Michał Górny
2024-12-14 19:06 Arthur Zamarin
2024-12-14 12:37 Sam James
2024-12-14 10:30 Arthur Zamarin
2024-12-14 7:36 Michał Górny
2024-12-12 4:15 Michał Górny
2024-12-07 6:33 Michał Górny
2024-12-07 6:33 Michał Górny
2024-12-04 7:46 Michał Górny
2024-11-21 6:01 Michał Górny
2024-11-20 7:56 Michał Górny
2024-11-15 12:55 Michał Górny
2024-11-15 4:59 Michał Górny
2024-11-09 12:01 Michał Górny
2024-11-09 11:02 Michał Górny
2024-11-09 7:03 Michał Górny
2024-11-08 4:52 Michał Górny
2024-11-08 4:52 Michał Górny
2024-11-05 5:53 Michał Górny
2024-10-31 19:19 Michał Górny
2024-10-26 5:31 Michał Górny
2024-10-24 4:14 Michał Górny
2024-10-22 3:10 Michał Górny
2024-10-17 17:03 Michał Górny
2024-10-15 7:00 Michał Górny
2024-10-09 6:31 Michał Górny
2024-10-08 3:00 Michał Górny
2024-10-02 12:12 Michał Górny
2024-09-28 7:42 Michał Górny
2024-09-25 4:39 Michał Górny
2024-09-22 2:23 Michał Górny
2024-09-21 7:41 Michał Górny
2024-09-18 14:03 Michał Górny
2024-09-18 14:03 Michał Górny
2024-09-14 6:03 Michał Górny
2024-09-11 3:09 Michał Górny
2024-09-10 7:06 Michał Górny
2024-09-07 6:23 Michał Górny
2024-09-07 6:23 Michał Górny
2024-09-06 9:25 Michał Górny
2024-09-05 2:21 Michał Górny
2024-09-04 3:13 Michał Górny
2024-09-04 3:13 Michał Górny
2024-09-03 5:23 Michał Górny
2024-09-02 3:02 Michał Górny
2024-08-31 6:55 Michał Górny
2024-08-31 6:55 Michał Górny
2024-08-29 4:21 Michał Górny
2024-08-28 3:43 Michał Górny
2024-08-27 7:39 Michał Górny
2024-08-24 5:52 Michał Górny
2024-08-23 16:44 Michał Górny
2024-08-21 3:14 Michał Górny
2024-08-15 16:01 Michał Górny
2024-07-27 5:52 Michał Górny
2024-07-27 5:52 Michał Górny
2024-07-25 3:12 Michał Górny
2024-07-24 4:24 Michał Górny
2024-07-20 4:51 Michał Górny
2024-07-18 1:33 Michał Górny
2024-07-16 5:30 Michał Górny
2024-07-12 16:10 Michał Górny
2024-07-11 3:25 Michał Górny
2024-07-09 2:10 Michał Górny
2024-07-08 4:41 Michał Górny
2024-07-04 5:13 Michał Górny
2024-07-03 3:44 Michał Górny
2024-06-30 2:52 Michał Górny
2024-06-27 2:53 Michał Górny
2024-06-25 8:01 Michał Górny
2024-06-12 4:57 Michał Górny
2024-06-11 4:20 Michał Górny
2024-06-07 1:59 Michał Górny
2024-06-07 1:59 Michał Górny
2024-06-06 2:02 Michał Górny
2024-06-04 5:19 Michał Górny
2024-05-29 3:48 Michał Górny
2024-05-25 3:50 Michał Górny
2024-05-23 2:11 Michał Górny
2024-05-21 4:14 Michał Górny
2024-05-15 1:40 Michał Górny
2024-05-12 13:05 Michał Górny
2024-05-09 3:50 Michał Górny
2024-05-08 4:57 Michał Górny
2024-04-28 2:24 Michał Górny
2024-04-27 10:43 Michał Górny
2024-04-27 8:47 Michał Górny
2024-04-25 4:43 Michał Górny
2024-04-23 4:32 Michał Górny
2024-04-20 4:29 Michał Górny
2024-04-18 5:34 Michał Górny
2024-04-10 5:36 Michał Górny
2024-04-05 2:45 Michał Górny
2024-03-31 16:48 Jakov Smolić
2024-03-30 8:51 Arthur Zamarin
2024-03-28 17:33 Arthur Zamarin
2024-03-28 17:18 Sam James
2024-03-28 17:18 Sam James
2024-03-21 19:42 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1729054464.e1cf452e343a7c4e296d29b8eb334c1bdf1886b0.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox